<?php
require_once('commons.php');

switch ($_REQUEST['op']) {
	case 'new':
		$url = '../start.php';
		if($_POST['pass']===$_POST['passCheck']) {
			$user = $_POST['user'];
			$pass = hashPass($_POST['pass']);
			$name = $_POST['name'];
			$surname = $_POST['surname'];
			$query = "INSERT INTO users (users.user, users.type, users.pass, users.name, users.surname) 
				VALUES ('$user', 1, '$pass', '$name', '$surname' )";
			$result = executeQuery($query);
			if($result>0) {
				$msg = 'Usuario registrado correctamente';			
			} else {
				$msg = 'No se ha podido registrar el nuevo usuario';						
			}
			mysqli_free_result($result);
		} else {
			$msg = 'Las contraseñas introducidas no coinciden';			
		}
		break;

	case 'del':
		$url = '../start.php';
		$user = $_GET['id'];
		$query = "DELETE FROM users WHERE users.user='$user'";
		$result = executeQuery($query);
		if($result>0) {
			$msg = 'Usuario eliminado correctamente';			
		} else {
			$msg = 'No se ha podido eliminar al usuario';						
		}
		mysqli_free_result($result);
		break;

	case 'edt':
		$url = '../start.php';
		$user = $_GET['id'];
		$query = "SELECT users.user, users.name, users.surname FROM users WHERE users.user='$user'";
		$result = executeQuery($query);
		if(mysqli_num_rows($result)>0) {
			$userData = mysqli_fetch_assoc($result);
			session_start();
			$_SESSION['userForEdition'] = $userData;
			$msg = "Datos de usuario cargados";			
		} else {
			$msg = 'No se ha podido acceder a los datos del usuario';						
		}
		mysqli_free_result($result);
		break;

	case 'upd':
		$url = '../start.php';
		$id = $_POST['id'];
		$name = $_POST['name'];
		$surname = $_POST['surname'];
		$query = "UPDATE users SET  users.name='$name', users.surname='$surname' WHERE users.user='$id'";
		$result = executeQuery($query);
		if($result>0) {
			$msg = "Datos de usuario actualizados correctamente";			
		} else {
			$msg = 'No se ha podido actualizar los datos del usuario';						
		}
		mysqli_free_result($result);
		break;
	
	default:
	  session_start();
	  $url = '../index.php';
	  $msg = 'Acceso restringido a usuarios autenticados';
	  $_SESSION = array();
		session_destroy();	  	
	  break; 
}
goToURL($url,$msg);
?>